<mat-form-field appearance="fill" class="name-field">
  <mat-label>Unesite ime kursa</mat-label>
  <input matInput type="text" [(ngModel)] = "courseName">
  <button mat-button *ngIf="courseName" matSuffix mat-icon-button aria-label="Clear" (click)="courseName=''">
    <mat-icon>close</mat-icon>
  </button>
</mat-form-field>
<form>
  <mat-form-field appearance="fill" class="select-education-stage">
    <mat-label>Nivo</mat-label>
    <mat-select [(ngModel)]="selectedLevel" name="Level">
      <mat-option *ngFor="let lvl of levels" [value]="lvl.value">
        {{lvl.viewValue}}
      </mat-option>
    </mat-select>
    <button mat-button *ngIf="selectedLevel" matSuffix mat-icon-button aria-label="Clear" (click)="selectedLevel=''">
      <mat-icon>close</mat-icon>
    </button>
  </mat-form-field>
  <form>
    <mat-form-field appearance="fill" class="select-category">
      <mat-label>Naziv oblasti</mat-label>
      <mat-select [(ngModel)]="selectedCategory" name="Category">
        <mat-option *ngFor="let cat of Categories" [value]="cat.value">
          {{cat.viewValue}}
        </mat-option>
      </mat-select>
      <button mat-button *ngIf="selectedCategory" matSuffix mat-icon-button aria-label="Clear" (click)="selectedCategory=''">
        <mat-icon>close</mat-icon>
      </button>
    </mat-form-field>
   <div class= "btn"> <button (click)="sendData()" mat-raised-button color="primary" >Pretrazi</button> </div>

